Package com.collibra.dgc.core.api.dto.workflow

# Class AddDomainTypeAssignmentRuleRequest

Object
AddDomainTypeAssignmentRuleRequest

All Implemented Interfaces:
  `Serializable`

public class AddDomainTypeAssignmentRuleRequest extends Object implements Serializable
The properties of the domain type assignment rule to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddDomainTypeAssignmentRuleRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddDomainTypeAssignmentRuleRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddDomainTypeAssignmentRuleRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  The ID of the community the assignment rule should apply for.
  `UUID`
  `getDomainTypeId()`
  Required. The ID of the domain type the added rule should refer to.
  `UUID`
  `getWorkflowDefinitionId()`
  Required. The ID of the workflow definition containing the assignment rule to be added.
  `int`
  `hashCode()`
  `boolean`
  `isExactResourceTypeMatch()`
  When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule.
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `void`
  `setDomainTypeId(UUID domainTypeId)`
  Required. The ID of the domain type the added rule should refer to.
  `void`
  `setExactResourceTypeMatch(boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule.
  `void`
  `setWorkflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be added.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddDomainTypeAssignmentRuleRequest

    public AddDomainTypeAssignmentRuleRequest()

- ## Method Details

  - ### builder

    public static AddDomainTypeAssignmentRuleRequest.Builder builder()

  - ### getWorkflowDefinitionId

    public UUID getWorkflowDefinitionId()
    Required. The ID of the workflow definition containing the assignment rule to be added.

  - ### getDomainTypeId

    public UUID getDomainTypeId()
    Required. The ID of the domain type the added rule should refer to.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the community the assignment rule should apply for.

  - ### isExactResourceTypeMatch

    public boolean isExactResourceTypeMatch()
    When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.

  - ### setWorkflowDefinitionId

    public void setWorkflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be added.

  - ### setDomainTypeId

    public void setDomainTypeId(UUID domainTypeId)
    Required. The ID of the domain type the added rule should refer to.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the community the assignment rule should apply for.

  - ### setExactResourceTypeMatch

    public void setExactResourceTypeMatch(boolean exactResourceTypeMatch)
    When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`